ur_rna.StructureEditor.windows

## Class NewFileWindow.StructItem

- java.lang.Object
- - ur_rna.StructureEditor.windows.NewFileWindow.StructItem

- Enclosing class:
    NewFileWindow

      private static class NewFileWindow.StructItem
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BP`
    `static int` | `DOT`
    `static int` | `ERROR`
    `static int` | `HELIX`
    `(package private) int` | `len`
    `(package private) int` | `pos1`
    `(package private) int` | `pos2`
    `(package private) int` | `seq1`
    `(package private) int` | `seq2`
    `(package private) int` | `type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `StructItem(int type, int pos1, int pos2)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsBase(int baseIndex)` Returns true if this helix element the nucleobase as the given index.
    `static NewFileWindow.StructItem` | `Dot(int seqPos, int charPos)`
    `static NewFileWindow.StructItem` | `Error(int charPos)`
    `static NewFileWindow.StructItem` | `Error(int charPos1, int charPos2)`
    `int` | `getBase(int positionInHelix)` Returns the sequence-index of the 5'-base at the 0-based position in this helix
    `int` | `getPair(int baseIndex)` Returns -1 if the given index does not belong to this structure element or if it is not paired.
    `int` | `getTextRegion(int[] regions)` A client calls with with an already-created array of integers.
    `static NewFileWindow.StructItem` | `Helix(int seq1, int seq2, int len, int pos1, int pos2)`
    `(package private) boolean` | `isSelected(int selStart, int selEnd)` Returns true if the selection falls inside the element and NOT beyond it.
    `static NewFileWindow.StructItem` | `Pair(int seq1, int seq2, int pos1, int pos2)`
    `int` | `pairCount()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BP

          public static final int BP

      See Also:
        Constant Field Values

    - #### DOT

          public static final int DOT

      See Also:
        Constant Field Values

    - #### ERROR

          public static final int ERROR

      See Also:
        Constant Field Values

    - #### HELIX

          public static final int HELIX

      See Also:
        Constant Field Values

    - #### len

          int len

    - #### pos1

          final int pos1

    - #### pos2

          final int pos2

    - #### seq1

          int seq1

    - #### seq2

          int seq2

    - #### type

          final int type

  - ### Constructor Detail

    - #### StructItem

          private StructItem(int type,
                             int pos1,
                             int pos2)

  - ### Method Detail

    - #### containsBase

          public boolean containsBase(int baseIndex)

      Returns true if this helix element the nucleobase as the given index.

    - #### Dot

          public static NewFileWindow.StructItem Dot(int seqPos,
                                                     int charPos)

    - #### Error

          public static NewFileWindow.StructItem Error(int charPos)

    - #### Error

          public static NewFileWindow.StructItem Error(int charPos1,
                                                       int charPos2)

    - #### getBase

          public int getBase(int positionInHelix)

      Returns the sequence-index of the 5'-base at the 0-based position in this helix

    - #### getPair

          public int getPair(int baseIndex)

      Returns -1 if the given index does not belong to this structure element or if it is not paired. Otherwise, returns the index of the base that is paired with the base at the given index.

    - #### getTextRegion

          public int getTextRegion(int[] regions)

      A client calls with with an already-created array of integers. The StructItem must fill it with a list of text regions from which the element was created. Each region occupies two elements in the array: the start and stop positions (inclusive) in the text.
      Parameters:
        `regions` - an already-instantiated array of integers to receive the text regions.
      Returns:
        The number of regions that were filled.

    - #### Helix

          public static NewFileWindow.StructItem Helix(int seq1,
                                                       int seq2,
                                                       int len,
                                                       int pos1,
                                                       int pos2)

    - #### isSelected

          boolean isSelected(int selStart,
                             int selEnd)

      Returns true if the selection falls inside the element and NOT beyond it.

    - #### Pair

          public static NewFileWindow.StructItem Pair(int seq1,
                                                      int seq2,
                                                      int pos1,
                                                      int pos2)

    - #### pairCount

          public int pairCount()